#include <bits/stdc++.h>
using namespace std;
struct Detector{
    int p;
    int c;
    Detector(int p, int c){
        this->p = p;
        this->c = c;
    }
};
void logMap(vector<vector<char>>& mp){
    cout << "{\n";
    cout << "       ";
    for(int i = 0; i < mp[0].size(); i++){
        cout << (i+1) << ' ';
    }
    cout << '\n';
    for(int i = 0; i < mp.size(); i++){
        cout << "      . ";
        for(int j = 0; j < mp[i].size(); j++){
            cout << mp[i][j] << ' ';
        }
        cout << '\n';
    }
    cout << "}\n";
}
int countLvl(vector<char>& lvl){
    int cnt = 0;
    bool inStrk = false;
    for(int i = 0; i < lvl.size(); i++){
        if(lvl[i] == '@'){
            inStrk = true;
        }
        if((lvl[i] == '#') && inStrk){
            inStrk = false;
            cnt++;
        }
    }
    if(inStrk){
        inStrk = false;
        cnt++;
    }
    return cnt;
}
int main(){
    int n, m;
    cin >> n >> m;
    vector<Detector> dts;
    int tmpp, tmpc;
    int mxc = -1;
    for(int i = 0; i < n; i++){
        cin >> tmpp;
        cin >> tmpc;
        if(tmpc > mxc){mxc = tmpc;}
        dts.push_back(Detector(tmpp, tmpc));
    }
    vector<vector<char>> mp;
    for(int i = 0; i < mxc; i++){
        vector<char> lvl;
        for(int j = 0; j < m; j++){
            lvl.push_back('.');
        }
        mp.push_back(lvl);
    }
    for(int i = 0; i < n; i++){
        int p = dts[i].p;
        int c = dts[i].c;
        for(int j = 0; j < c; j++){
            mp[j][p-1] = '@';
        }
        for(int j = c; j < mxc; j++){
            mp[j][p-1] = '#';
        }
    }
    //logMap(mp);
    int sum = 0;
    for(int i = 0; i < mp.size(); i++){
        sum += countLvl(mp[i]);
    }
    cout << sum;
    return 0;
}
