#include <iostream>
#include <map>
#include <string>

using namespace std;

map <char, bool> Glasna;

void Init()
{
    Glasna['a'] = true;
    Glasna['b'] = false;
    Glasna['c'] = false;
    Glasna['d'] = false;
    Glasna['e'] = true;
    Glasna['f'] = false;
    Glasna['g'] = false;
    Glasna['h'] = false;
    Glasna['i'] = true;
    Glasna['j'] = false;
    Glasna['k'] = false;
    Glasna['l'] = false;
    Glasna['m'] = false;
    Glasna['n'] = false;
    Glasna['o'] = true;
    Glasna['p'] = false;
    Glasna['q'] = false;
    Glasna['r'] = false;
    Glasna['s'] = false;
    Glasna['t'] = false;
    Glasna['u'] = true;
    Glasna['v'] = false;
    Glasna['w'] = false;
    Glasna['x'] = false;
    Glasna['y'] = true;
    Glasna['z'] = false;
}

long LevelOfNonMagic(string A)
{
    long Return = 0;
    for (long i = 0; i + 2 < A.length(); i++)
    {
        if (Glasna[A[i]] == Glasna[A[i + 1]] && Glasna[A[i + 1]] == Glasna[A[i + 2]])
        {
            Return++;
        }
    }

    return Return;
}

int main()
{
    Init();

    string Input;
    string ArchiveInput;

    cin >> Input;
    ArchiveInput = Input;
    long CurrentLevel = LevelOfNonMagic(Input);

    while (CurrentLevel > 0)
    {
        for (long i = 0; i < Input.length(); i++)
        {
            if (LevelOfNonMagic(Input.substr(0, i) + "a" + Input.substr(i, Input.length() - i)) < CurrentLevel)
            {
                CurrentLevel = LevelOfNonMagic(Input.substr(0, i) + "a" + Input.substr(i, Input.length() - i));
                Input = Input.substr(0, i) + "a" + Input.substr(i, Input.length() - i);
                break;
            }
            if (LevelOfNonMagic(Input.substr(0, i) + "b" + Input.substr(i, Input.length() - i)) < CurrentLevel)
            {
                CurrentLevel = LevelOfNonMagic(Input.substr(0, i) + "a" + Input.substr(i, Input.length() - i));
                Input = Input.substr(0, i) + "b" + Input.substr(i, Input.length() - i);
                break;
            }
        }
    }

    cout << Input.length() - ArchiveInput.length();
}
