#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

vector <vector <long>> Sets;

bool PossibleLite(vector <long> T, long S, long E)
{
    if (E < T[0])
    {
        return false;
    }
    if (S > T[T.size() - 1])
    {
        return false;
    }
    for (long i = 0; i + 1 < T.size(); i++)
    {
        if (T[i] < S && T[i + 1] > E)
        {
            return false;
        }
    }

    return true;
}

bool Possible(long S, long E)
{
    for (long i = 0; i < Sets.size(); i++)
    {
        if (!PossibleLite(Sets[i], S, E))
        {
            return false;
        }
    }

    return true;
}

int main()
{
    long Temp;
    long B;
    long N;
    long K;
    vector <long> VTemp;

    cin >> N;
    cin >> K;

    for (long i = 0; i < K; i++)
    {
        cin >> B;
        VTemp.clear();
        for (long j = 0; j < B; j++)
        {
            cin >> Temp;
            VTemp.push_back(Temp);
        }
        sort (VTemp.begin(), VTemp.end());
        Sets.push_back(VTemp);
    }

    /**for (long s = 0; s < N; s++)
    {
        for (long f = 0; f + s <= N; f++)
        {
            if (Possible(f, f + s))
            {
                cout << f << " " << f + s;
                return 0;
            }
        }
    }**/

    long S = 1;
    long E = 1;

    while (!Possible(S, E))
    {
        E++;
    }

    S = E;

    while (!Possible(S, E))
    {
        S--;
    }

    cout << S << " " << E;
}
