#include<bits/stdc++.h>
#pragma optimise("O2")
using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n, k;
    cin >> n >> k;

    vector<pair<int, int>> numbers;

    for(int i=0; i<k; i++) {
        int currSize;
        cin >> currSize;

        for(int j=0; j<currSize; j++) {
            int curr;
            cin >> curr;

            numbers.push_back(pair<int, int>(curr, i));
        }
    }

    sort(numbers.begin(), numbers.end());

    bool flags[k];

    for(int i=0; i<k; i++) {
        flags[i] = false;
    }

    int r = 0;

    bool foundRight = false;

    int inRange[k];

    for(int i=0; i<k; i++) {
        inRange[i] = 0;
    }

    for(int i=0; !foundRight; i++) {
        r = i;

        for(int j=0; j<numbers.size(); j++) {
            if(numbers[j].first == i) {
                flags[numbers[j].second] = true;
                inRange[numbers[j].second] ++;
            }
        }

        bool ok = true;

        for(int j=0; j<k; j++) {
            if(!flags[j]) {
                ok = false;
            }
        }

        foundRight = ok;
    }

    int l = 0;

    bool foundLeft = true;

    for(int i=0; foundLeft; i++) {
        l = i;

        for(int j=0; j<numbers.size(); j++) {
            if(numbers[j].first == i) {
                inRange[numbers[j].second] --;

                if(inRange[numbers[j].second] == 0) {
                    flags[numbers[j].second] = false;
                }
            }
        }

        bool ok = true;

        for(int j=0; j<k; j++) {
            if(!flags[j]) {
                ok = false;
            }
        }

        foundLeft = ok;
    }

    cout << l << " " << r;

	return 0;
}
